Get Environment Instance Transaction
curl 'https://api.tenderly.co/api/public/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/environments/${ENVIRONMENT_ID}/instance/${INSTANCE_ID}/transactions/${TX_HASH}' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
--compressedconst options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/public/v1/account/{accountSlug}/project/{projectSlug}/environments/{environmentId}/instance/{instanceId}/transactions/{txHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tenderly.co/api/public/v1/account/{accountSlug}/project/{projectSlug}/environments/{environmentId}/instance/{instanceId}/transactions/{txHash}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenderly.co/api/public/v1/account/{accountSlug}/project/{projectSlug}/environments/{environmentId}/instance/{instanceId}/transactions/{txHash}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "a3235752-0f5a-4d32-8e43-e7629a9f7462",
"vnet_id": "d6cf4c06-24c3-4841-9a85-e77ed341d8e2",
"origin": "rpc",
"category": "write",
"kind": "cheatcode",
"status": "success",
"error_reason": null,
"reverted": false,
"rpc_method": "hardhat_mine",
"created_at": "2024-04-19T12:21:48.373698Z",
"dashboard_url": "https://dashboard.tenderly.co/transactions/a3235752-0f5a-4d32-8e43-e7629a9f7462",
"block_number": "0x12c5113",
"block_hash": "0xe28d8b295d236f85db34dc12982f5235e361101a26cf35f4be798fb000997194",
"tx_hash": "0x0288ab91522c19cd1589eb73b86f4b874c52ed39cdce1ba7cef790f314c4523f",
"tx_index": "0x0",
"from": "0xfa78a211f7df670338daed1f96177c9fe154fcb1",
"to": "0x6c8b8870c415f3b2d5fe0cd61e9c6960bad8e0c9",
"input": "0x071e9503000000000000000000000000000000000000000000000000000000000000000a000000000000000000000000000000000000000000000000000000000000000a",
"nonce": "0x15",
"value": "0x0",
"gas": "0xc0dec0de",
"gas_price": "0x0",
"max_priority_fee_per_gas": "0x0",
"max_fee_per_gas": "0x0",
"type": "0x0",
"function_name": "mint"
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "9a7bbe06-7f6f-4a45-8c78-8d64b9a9d0e1",
"slug": "too_many_requests",
"message": "API Rate limit exceeded."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Virtual Environments
Get Environment Instance Transaction
Fetch a single transaction from a multichain environment instance by transaction hash to inspect its status, inputs, and results.
GET
/
public
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
environments
/
{environmentId}
/
instance
/
{instanceId}
/
transactions
/
{txHash}
Get Environment Instance Transaction
curl 'https://api.tenderly.co/api/public/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/environments/${ENVIRONMENT_ID}/instance/${INSTANCE_ID}/transactions/${TX_HASH}' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
--compressedconst options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/public/v1/account/{accountSlug}/project/{projectSlug}/environments/{environmentId}/instance/{instanceId}/transactions/{txHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tenderly.co/api/public/v1/account/{accountSlug}/project/{projectSlug}/environments/{environmentId}/instance/{instanceId}/transactions/{txHash}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenderly.co/api/public/v1/account/{accountSlug}/project/{projectSlug}/environments/{environmentId}/instance/{instanceId}/transactions/{txHash}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "a3235752-0f5a-4d32-8e43-e7629a9f7462",
"vnet_id": "d6cf4c06-24c3-4841-9a85-e77ed341d8e2",
"origin": "rpc",
"category": "write",
"kind": "cheatcode",
"status": "success",
"error_reason": null,
"reverted": false,
"rpc_method": "hardhat_mine",
"created_at": "2024-04-19T12:21:48.373698Z",
"dashboard_url": "https://dashboard.tenderly.co/transactions/a3235752-0f5a-4d32-8e43-e7629a9f7462",
"block_number": "0x12c5113",
"block_hash": "0xe28d8b295d236f85db34dc12982f5235e361101a26cf35f4be798fb000997194",
"tx_hash": "0x0288ab91522c19cd1589eb73b86f4b874c52ed39cdce1ba7cef790f314c4523f",
"tx_index": "0x0",
"from": "0xfa78a211f7df670338daed1f96177c9fe154fcb1",
"to": "0x6c8b8870c415f3b2d5fe0cd61e9c6960bad8e0c9",
"input": "0x071e9503000000000000000000000000000000000000000000000000000000000000000a000000000000000000000000000000000000000000000000000000000000000a",
"nonce": "0x15",
"value": "0x0",
"gas": "0xc0dec0de",
"gas_price": "0x0",
"max_priority_fee_per_gas": "0x0",
"max_fee_per_gas": "0x0",
"type": "0x0",
"function_name": "mint"
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "9a7bbe06-7f6f-4a45-8c78-8d64b9a9d0e1",
"slug": "too_many_requests",
"message": "API Rate limit exceeded."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Response
A successful response.